curl --request GET \
--url https://api.clickpesa.com/third-parties/account/statement \
--header 'Authorization: Bearer <token>'{
"accountDetails": {
"openingBalance": 123,
"closingBalance": 123,
"totalCredits": 123,
"totalDebits": 123
},
"transactions": [
{
"balance": 123,
"date": "<string>",
"description": "<string>",
"amount": 123,
"orderReference": "<string>",
"id": "<string>"
}
]
}Get Account Statement
curl --request GET \
--url https://api.clickpesa.com/third-parties/account/statement \
--header 'Authorization: Bearer <token>'{
"accountDetails": {
"openingBalance": 123,
"closingBalance": 123,
"totalCredits": 123,
"totalDebits": 123
},
"transactions": [
{
"balance": 123,
"date": "<string>",
"description": "<string>",
"amount": 123,
"orderReference": "<string>",
"id": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.clickpesa.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorization header containing the JWT access token returned from the generate token endpoint. The token already includes the Bearer prefix. Example: Authorization: Bearer eyJhbGciOi...
Start date for filtering transactions . Accepted formats : YYYY-MM-DD or DD-MM-YYYY
End date for filtering transactions . Accepted formats : YYYY-MM-DD or DD-MM-YYYY
Currency filter (e.g., TZS, USD)